# Logarion

Logarion is a [free and open-source][Licence] personal note taking, journaling and publication system; a blog-wiki hybrid.

## Features

- Plain file system store, where each note is a file.
- Command line & web interfaces.
- Atom feeds
- Static (conversion to files for uploading) & dynamic serving (HTTP, Gopher, ..).


## Community & support

- Website: <https://logarion.orbitalfox.eu>
- Mailing list: <https://lists.orbitalfox.eu/listinfo/logarion>
- Matrix (chat): `#logarion:matrix.org`. Via Riot web-app: <https://riot.im/app/#/room/#logarion:matrix.org>
- For issues peferably email to [mailto:logarion@lists.orbitalfox.eu](mailto:logarion@lists.orbitalfox.eu?subject=[Issue] summary-here).
  Alternatively <https://gitlab.com/orbifx/logarion/issues>


## Install

The following instructions are the quickest way to install Logarion (in the absence of binary releases).

```
opam pin add logarion git://orbitalfox.eu/logarion
opam install logarion
```

Once installed you will have `logarion` for command line control of the repository.

## Archives

### Command line

Create a folder and run `logarion init` from within it to produce `.logarion/config.toml`, which is the core configuration file.
The archive options are under the `[archive]` section.

Run `logarion --help` for more options.


#### Theme

Optionally install a [Sass](http://sass-lang.com/) compiler, like [sassc](http://sass-lang.com/libsass#sassc), and then run `make theme-dark` or `make theme-light`, to generate a stylesheet as `share/static/main.css`, using the respective Sass files in `share/sass/`.

## See also

- [CONTRIBUTING.md](CONTRIBUTING.md)
- [Licence](https://joinup.ec.europa.eu/software/page/eupl)
